## openjdk-11 11.0.24+8

=== debian/changelog ===
openjdk-11 (11.0.24+8-2~deb11u1) bullseye-security; urgency=medium

  * Rebuild for bullseye
  * Skip tests, no jtreg7 for bullseye

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 01 Aug 2024 19:42:32 +0200

openjdk-11 (11.0.24+8-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/copyright: Regenerate copyright.
  * d/rules, d/t/*: Collate all excluded tests into d/problemlist.csv.
  * d/p/jdk-8336529-proposed.patch: Fix time_t migration issue on armhf
    openjdk is unable to set file last modified timestamp.
  * d/p/jdk-8334895-proposed.patch: Refresh patch.
  * d/rules: Relax jtreg7 version condition for backports.
  * d/rules, d/control.in: Depend on pkgconf rather than pkg-config in
    bookworm and later releases. This resolves lintian warning
    build-depends-on-obsolete-package Build-Depends: pkg-config => pkgconf.
  * d/rules: Drop autotools-dev dependency for the modern debhelper.
    This resolves obsolete autotools-dev dependency lintian warning.
    See #844191.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jul 2024 08:49:56 +0200

openjdk-11 (11.0.24+8-1) unstable; urgency=medium

  * OpenJDK 11.0.24 release, build 8.
    - CVEs:
      + CVE-2024-21147
      + CVE-2024-21145
      + CVE-2024-21140
      + CVE-2024-21144
      + CVE-2024-21131
      + CVE-2024-21138
    - Security Fixes:
      + JDK-8281658: New security category for -XshowSettings launcher
        option.
      + JDK-8316138: Added GlobalSign R46 and E46 root CA certificates.
      + JDK-8256660: Disabled DTLS 1.0.
      + JDK-8326891: Native executables and libraries on Linux use
        RPATH instead of RUNPATH.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jul 2024 13:18:57 +0200

openjdk-11 (11.0.24~7ea-1) unstable; urgency=medium

  * OpenJDK 11.0.24+7 build (early access).

  [ Vladimir Petko ]
  * d/p/*: Refresh patches.
  * d/rules, d/control: Use jtreg7, enable jtreg.
  * d/JB-demo.overrides.in: Add jar-contains-source override
    for SwingSet demo jar.
  * d/rules, d/copyright-generator/copyright-gen.py, d/copyright: Exclude
    test/jdk/sun/management/windows/revokeall.exe from orig tarball,
    format d/copyright-generator/copyright-gen.py.
  * d/p/8307977-proposed.diff: Rename to jdk-8307977-proposed.patch.
  * d/p/jdk-8334502.patch: Fix iso8601_utctime armhf function.
  * d/p/jtreg-location.diff: Drop patch as it is no longer needed for jtreg7.
  * d/rules: Include buildflags.mk to avoid errors due to undefined variables.

  [ Matthias Klose ]
  * Remove references to obsolete patches. Closes: #1067613.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 29 Jun 2024 10:11:23 +0200

=== debian/control ===
Source: openjdk-11
Section: java
Priority: optional
Maintainer: OpenJDK Team <openjdk-11@packages.debian.org>
Uploaders: Matthias Klose <doko@ubuntu.com>
Build-Depends: debhelper (>= 11),
  m4, lsb-release, zip, unzip,
  sharutils, gawk, cpio, procps, wdiff, pkg-config, fastjar (>= 2:0.96-0ubuntu2),
  time, strip-nondeterminism, debugedit (>= 4.16),
  file,
  autoconf, automake, ant, ant-optional,
  g++-10 <!cross>,
  openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,
  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig-dev, libfreetype-dev, libharfbuzz-dev,
  libffi-dev,
  zlib1g-dev:native, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev,
  libnss3-dev (>= 2:3.17.1),
  openjdk-11-jdk-headless <cross>,
Build-Depends-Indep: graphviz, pandoc,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://openjdk.java.net/
Vcs-Browser: https://salsa.debian.org/openjdk-team/openjdk/tree/openjdk-11
Vcs-Git: https://salsa.debian.org/openjdk-team/openjdk.git -b openjdk-11

Package: openjdk-11-jdk-headless
Architecture: alpha amd64 armel armhf arm64 i386 ia64 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Suggests: openjdk-11-demo, openjdk-11-source
Provides: java-sdk-headless (= ${vm:Version}), java2-sdk-headless,
  java5-sdk-headless, java6-sdk-headless,
  java7-sdk-headless, java8-sdk-headless,
  java9-sdk-headless, java10-sdk-headless,
  java11-sdk-headless, java-compiler
Breaks: openjdk-11-jre-headless (<< 11.0.11+3-2~)
Replaces: openjdk-11-jre-headless (<< 11.0.11+3-2~)
Description: OpenJDK Development Kit (JDK) (headless)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.

Package: openjdk-11-jre-headless
Architecture: alpha amd64 armel armhf arm64 i386 ia64 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: ${jredefault:Depends}, ${cacert:Depends},
  ${jcommon:Depends}, ${dlopenhl:Depends},
  ${mountpoint:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenhl:Recommends},
  ${fontmanager:Recommends}, ${jsound:Recommends}
Suggests: libnss-mdns,
  fonts-dejavu-extra,
  fonts-ipafont-gothic, fonts-ipafont-mincho, fonts-wqy-microhei | fonts-wqy-zenhei, fonts-indic,
Provides: java-runtime-headless (= ${vm:Version}), java2-runtime-headless,
  java5-runtime-headless, java6-runtime-headless,
  java7-runtime-headless, java8-runtime-headless,
  java9-runtime-headless, java10-runtime-headless,
  java11-runtime-headless,
  ${defaultvm:Provides}, ${jvm:Provides}
Breaks: ${jrehl:Breaks}
Conflicts: oracle-java11-installer, openjdk-11-jdk-headless (<< 11~18-2)
Replaces: openjdk-11-jdk-headless (<< 11~18-2)
Description: OpenJDK Java runtime, using ${vm:Name} (headless)
 Minimal Java runtime - needed for executing non GUI Java programs,
 using ${vm:Name}.

Package: openjdk-11-jdk
Architecture: alpha amd64 armel armhf arm64 i386 ia64 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre (= ${binary:Version}),
  openjdk-11-jdk-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Recommends: libxt-dev
Suggests: openjdk-11-demo, openjdk-11-source, visualvm
Provides: java-sdk (= ${vm:Version}), java2-sdk, java5-sdk, java6-sdk,
  java7-sdk, java8-sdk, java9-sdk, java10-sdk, java11-sdk,
  java-compiler
Conflicts: openjdk-11-jre-headless (<< 11~19-2)
Replaces: openjdk-11-jre-headless (<< 11~19-2)
Description: OpenJDK Development Kit (JDK)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.

Package: openjdk-11-jre
Architecture: alpha amd64 armel armhf arm64 i386 ia64 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre-headless (= ${binary:Version}),
  ${dlopenjre:Depends}, ${fontmanager:Depends}, ${jsound:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenjre:Recommends}, ${bridge:Recommends}, fonts-dejavu-extra
Provides: java-runtime (= ${vm:Version}), java2-runtime,
  java5-runtime, java6-runtime,
  java7-runtime, java8-runtime,
  java9-runtime, java10-runtime,
  java11-runtime,
Breaks: openjdk-11-jre-headless (<< 11.0.11+3-3~)
Replaces: openjdk-11-jre-headless (<< 11.0.11+3-3~)
Description: OpenJDK Java runtime, using ${vm:Name}
 Full Java runtime environment - needed for executing Java GUI and Webstart
 programs, using ${vm:Name}.

Package: openjdk-11-demo
Architecture: alpha amd64 armel armhf arm64 i386 ia64 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Description: Java runtime based on OpenJDK (demos and examples)
 OpenJDK Java runtime

Package: openjdk-11-source
Architecture: all
Multi-Arch: foreign
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jdk (>= ${source:Version}),
  ${misc:Depends}
Description: OpenJDK Development Kit (JDK) source files
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the Java programming language source files
 (src.zip) for all classes that make up the Java core API.

Package: openjdk-11-doc
Section: doc
Pre-Depends: ${dpkg:Depends}
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: ${misc:Depends}
Suggests: openjdk-11-jdk
Description: OpenJDK Development Kit (JDK) documentation
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the API documentation.

Package: openjdk-11-dbg
Architecture: alpha amd64 armel armhf arm64 i386 ia64 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
Multi-Arch: same
Priority: optional
Section: debug
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre-headless (= ${binary:Version}),
   ${misc:Depends}
Recommends: openjdk-11-jre (= ${binary:Version})
Suggests: openjdk-11-jdk (= ${binary:Version})
Conflicts: ${dbg:Conflicts}
Description: Java runtime based on OpenJDK (debugging symbols)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the debugging symbols.

Package: openjdk-11-jre-zero
Architecture: amd64 i386 arm64 ppc64 ppc64el s390x
Multi-Arch: same
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-11-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: ${zerovm:Provides}
Description: Alternative JVM for OpenJDK, using Zero
 The package provides an alternative runtime using the Zero VM. Built on
 architectures in addition to the Hotspot VM as a debugging aid for those
 architectures which don't have a Hotspot VM.
 .
 The VM is started with the option `-zero'. See the README.Debian for details.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/dpkg/buildflags.mk

unexport LANG LC_ALL

dh_version := $(shell dpkg-query -f '$${Version}\n' -W debhelper | sed -n 's/^\(.\).*/\1/p')

# using brace expansion and substring replacements (${var:0:2}).
SHELL = /bin/bash

# use gnu time in verbose mode if available, otherwise default to the shell builtin
ifneq (,$(wildcard /usr/bin/time))
  TIME = /usr/bin/time -v
else
  TIME = time
endif

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

DPKG_VARS		:= $(shell dpkg-architecture)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_BUILD_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_ARCH)
DEB_HOST_ARCH_CPU	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

PATH := $(CURDIR)/bin:$(PATH)
export PATH

CHANGELOG_VARS := $(shell dpkg-parsechangelog | sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
PKGSOURCE := $(call vafilt,$(CHANGELOG_VARS),Source)
PKGVERSION := $(call vafilt,$(CHANGELOG_VARS),Version)
PKGYEAR := $(shell echo $(call vafilt,$(CHANGELOG_VARS),Timestamp) | date --utc +%Y)

distribution := $(shell lsb_release --id --short)
distrel := $(shell lsb_release --codename --short)
derivative := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; \
               elif dpkg-vendor --derives-from Debian; then echo Debian; \
               else echo Unknown; fi)
ifeq ($(distrel),n/a)
  distrel := sid
endif

ifneq (,$(filter $(distrel),precise))
  OBJCOPY := objcopy
  STRIP := strip
else
  OBJCOPY := $(DEB_HOST_GNU_TYPE)-objcopy
  STRIP := $(DEB_HOST_GNU_TYPE)-strip
endif

multiarch_dir = /$(DEB_HOST_MULTIARCH)

hotspot_archs	= amd64 i386 arm64 armhf ppc64 ppc64el sparc64 s390x
jtreg_archs	= $(hotspot_archs) alpha ia64 powerpc powerpcspe ppc64 sh4 x32
jtreg_archs	+= armel mipsel mips64el

# FIXME: use bootcycle builds for zero archs?
bootcycle_build = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),yes)
zbootcycle_build =
ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
  bootcycle_build =
  zbootcycle_build =
endif
ifneq (,$(filter nobootcycle, $(DEB_BUILD_OPTIONS)))
  bootcycle_build =
  zbootcycle_build =
endif

ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy jessie))
  is_default = no
else
  is_default = yes
endif

is_upstream_release = yes

srcdir		= .
builddir	= build
zbuilddir	= build-zero

VENDOR		= openjdk
Vendor		= OpenJDK
TOP		= usr/lib/jvm
origin		= openjdk
basename	= openjdk-$(shortver)
ifneq (,$(filter $(DEB_HOST_ARCH), $(hotspot_archs)))
  priority	= $(if $(filter yes, $(is_default)),1111,1109)
  vm_name	= Hotspot JIT
else
  priority	= $(if $(filter yes, $(is_default)),1104,1103)
  vm_name	= Hotspot Zero
endif
jvmver		= 1.11.0
shortver	= 11
v_debian	:= $(shell echo $(PKGVERSION) | sed 's/ea//' | sed 's/\~us[[:digit:]]\+//')
v_upstream	:= $(shell echo $(v_debian) | sed 's/-[^-][^-]*$$//')
v_pkgrel	:= $(shell echo $(v_debian) | sed 's/^.*-//')

ifeq (yes,$(is_upstream_release))
  v_upbase      := $(word 1, $(subst +, , $(v_upstream)))
  v_upbuild     := $(word 2, $(subst +, , $(v_upstream)))
  ifneq ($(v_debian),$(v_upbase)+$(v_upbuild)-$(v_pkgrel))
    $(error wrong version: $(v_upbase)+$(v_upbuild)-$(v_pkgrel) should be: $(v_debian))
  endif
else
  v_upbase      := $(word 1, $(subst ~, , $(v_upstream)))
  v_upbuild     := $(word 2, $(subst ~, , $(v_upstream)))
  ifneq ($(v_debian),$(v_upbase)~$(v_upbuild)-$(v_pkgrel))
    $(error wrong version: $(v_upbase)~$(v_upbuild)-$(v_pkgrel) should be: $(v_debian))
  endif
endif

ifneq (,$(DEB_HOST_MULTIARCH))
  jdirname	= java-$(shortver)-$(origin)-$(DEB_HOST_ARCH)
  jdiralias	= java-$(jvmver)-$(origin)-$(DEB_HOST_ARCH)
  basedir	= $(TOP)/$(jdirname)
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)-common
  commonbasedir	= $(basedir)
  etcdir	= etc/java-$(shortver)-$(origin)
else
  jdirname	= java-$(shortver)-$(origin)
  jdiralias	= java-$(jvmver)-$(origin)
  basedir	= $(TOP)/$(jdirname)
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)
  etcdir	= etc/$(jdirname)
endif
security	= $(etcdir)/security
ifeq ($(bootcycle_build),yes)
  sdkimg	= bootcycle-build/images/jdk
  build_target	= bootcycle-images test-image
else
  sdkimg	= images/jdk
  build_target	= images test-image
endif
ifeq ($(zbootcycle_build),yes)
  zsdkimg	= bootcycle-build/images/jdk
  zbuild_target	= bootcycle-images test-image
else
  zsdkimg	= images/jdk
  zbuild_target	= images test-image
endif

# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
COMMA=,
SPACE = $(EMPTY) $(EMPTY)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

jtreg_pkg = jtreg7
testng_pkg= libtestng7-java

with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
# see Debian #920161
ifneq (,$(filter $(DEB_HOST_ARCH), alpha armel ia64 loong64 mipsel mips64el powerpc x32))
  with_check = disabled running check on $(DEB_HOST_ARCH)
endif
# no jtreg backport yet
ifneq (,$(filter $(distrel), precise trusty xenial bullseye))
  with_check = disabled for $(distrel)
endif

with_docs = $(if $(findstring nodoc, $(DEB_BUILD_OPTIONS)),,yes)
ifneq (,$(filter $(distrel), precise trusty))
  with_docs =
endif
#with_check = disabled for this upload

with_wqy_zenhai = $(if $(filter $(distrel),lenny),,yes)

arch_map	:= alpha=alpha arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i586 loong64=loongarch64 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le riscv64=riscv64 sparc=sparc sparc64=sparcv9 sh4=sh s390x=s390x ia64=ia64 x32=x32

jvmarch		:= $(strip $(patsubst $(DEB_HOST_ARCH_CPU)=%, %, \
			$(filter $(DEB_HOST_ARCH_CPU)=%, $(arch_map))))
ifeq ($(DEB_HOST_ARCH),x32)
  jvmarch := x32
endif

default_vm = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),hotspot,zero)

any_archs = alpha amd64 armel armhf arm64 i386 ia64 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32

altzero_archs = $(hotspot_archs)
ifneq (,$(filter $(distrel),trusty))
  altzero_archs := $(filter-out arm64, $(altzero_archs))
endif
# ftbfs in 11.0.5+bx, and 13+17
altzero_archs := $(filter-out armhf, $(altzero_archs))

# FIXME: Zero currently FTBFS on sparc64 with gcc-9
altzero_archs := $(filter-out sparc64, $(altzero_archs))

ifneq (,$(filter noaltzero, $(DEB_BUILD_OPTIONS)))
  altzero_archs =
else ifneq (,$(filter $(DEB_HOST_ARCH), $(altzero_archs)))
  alternate_vms += zero
  zero_dir = zero
endif

# needed for the jexec build
export DEBIAN_JDK_BASE_DIR := /$(basedir)

BOOTJDK_HOME := $(strip $(subst /bin/javac,, $(firstword $(wildcard \
			/usr/lib/jvm/java-10-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
			/usr/lib/jvm/java-11-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
		))))

ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
  BUILDJDK_HOME = $(CURDIR)/$(builddir)/$(sdkimg)
else
  BUILDJDK_HOME = $(BOOTJDK_HOME)
endif

# for Hotspot: hotspot/make/linux/makefiles/vm.make
# Don't overwrite Hotspot opt level :
# -O3 is already default option for hotspot

# FIXME: ftbfs with -Werror=format-security
dpkg_buildflags_hs = \
	DEB_BUILD_MAINT_OPTIONS="optimize=-lto" \
	DEB_CFLAGS_MAINT_STRIP="-O2 -Werror=format-security" \
	DEB_CXXFLAGS_MAINT_STRIP="-O2 -Werror=format-security" \
	DEB_CFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations" \
	DEB_CXXFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations$(if $(filter $(DEB_HOST_ARCH), armel armhf), -fpermissive)"
# jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
dpkg_buildflags_hs += \

## openjdk-11 11.0.25~5ea

=== debian/changelog ===
openjdk-11 (11.0.25~5ea-1) unstable; urgency=medium

  * OpenJDK 11.0.25+5 build (early access).

  [ Vladimir Petko ]
  * d/changelog: Remove trailing empty line.
  * d/copyright-generator/strip-common-licenses.sh: Add GPLv3 to the
    list of common licenses.
  * d/JB-*.overrides.in, d/s/lintian-overrides: Update lintian overrides.
  * d/p/jdk-8334895-proposed.patch: Fix typo in the patch description.
  * d/copyright: Regenerate.
  * d/t/problemlist.csv: Update problemlist.csv for July release
  * d/t/jtreg-autopkgtest.{in,sh}: Increase jtreg test timeouts.
  * Enable dtrace support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Sep 2024 16:06:26 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Matthias Klose <doko@ubuntu.com>
 Build-Depends: debhelper (>= 11),
   m4, lsb-release, zip, unzip,
-  sharutils, gawk, cpio, procps, wdiff, pkg-config, fastjar (>= 2:0.96-0ubuntu2),
+  sharutils, gawk, cpio, procps, wdiff, pkgconf, fastjar (>= 2:0.96-0ubuntu2),
   time, strip-nondeterminism, debugedit (>= 4.16),
-  file,
+  jtreg7 (>= 7.3.1+1~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, libasmtools-java <!nocheck>, googletest <!nocheck>, google-mock <!nocheck>, xvfb  <!nocheck>,
   autoconf, automake, ant, ant-optional,
-  g++-10 <!cross>,
+  g++-14 <!cross>,
   openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,
   libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig-dev, libfreetype-dev, libharfbuzz-dev,
   libffi-dev,
-  zlib1g-dev:native, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev,
+  zlib1g-dev:native, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, systemtap-sdt-dev [!sh4],
   libnss3-dev (>= 2:3.17.1),
   openjdk-11-jdk-headless <cross>,
 Build-Depends-Indep: graphviz, pandoc,

=== debian/rules ===
--- 
+++ 
@@ -79,6 +79,7 @@
 endif
 
 is_upstream_release = yes
+is_upstream_release =
 
 srcdir		= .
 builddir	= build
@@ -158,11 +159,11 @@
 
 with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
 # see Debian #920161
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha armel ia64 loong64 mipsel mips64el powerpc x32))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha))
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
 # no jtreg backport yet
-ifneq (,$(filter $(distrel), precise trusty xenial bullseye))
+ifneq (,$(filter $(distrel), precise trusty xenial))
   with_check = disabled for $(distrel)
 endif
 
@@ -230,3 +231,4 @@
 	DEB_CXXFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations$(if $(filter $(DEB_HOST_ARCH), armel armhf), -fpermissive)"
 # jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
 dpkg_buildflags_hs += \
+	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \

## openjdk-11 11.0.25+9

=== debian/changelog ===
openjdk-11 (11.0.25+9-1~deb10u1) buster-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * Backport to buster.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 21 Oct 2024 15:53:56 +0200

openjdk-11 (11.0.25+9-1) unstable; urgency=high

  * OpenJDK 11.0.25 release, build 9.
    - CVE-2024-21208
    - CVE-2024-21210
    - CVE-2024-21217
    - CVE-2024-21235

  [ Vladimir Petko ]
  * d/rules: do not include dtrace support for S390x (JDK-8305174).
  * d/t/problems.csv: Disable jdk/sun/security/util/Debug/DebugOptions.java
    due to JDK-8339713.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Oct 2024 10:56:29 +0200

openjdk-11 (11.0.24+8-2~deb10u1) buster-security; urgency=medium

  * Backport to buster.
  * Disable test suite, jtreg7 is not available on buster.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 06 Aug 2024 12:32:23 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Matthias Klose <doko@ubuntu.com>
 Build-Depends: debhelper (>= 11),
   m4, lsb-release, zip, unzip,
-  sharutils, gawk, cpio, procps, wdiff, pkgconf, fastjar (>= 2:0.96-0ubuntu2),
-  time, strip-nondeterminism, debugedit (>= 4.16),
-  jtreg7 (>= 7.3.1+1~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, libasmtools-java <!nocheck>, googletest <!nocheck>, google-mock <!nocheck>, xvfb  <!nocheck>,
+  sharutils, gawk, cpio, procps, wdiff, pkg-config, fastjar (>= 2:0.96-0ubuntu2),
+  time,
+  file,
   autoconf, automake, ant, ant-optional,
-  g++-14 <!cross>,
+  g++-8 <!cross>,
   openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,
-  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig-dev, libfreetype-dev, libharfbuzz-dev,
+  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig1-dev, libfreetype6-dev (>= 2.2.1), libharfbuzz-dev,
   libffi-dev,
-  zlib1g-dev:native, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, systemtap-sdt-dev [!sh4],
+  zlib1g-dev:native, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, systemtap-sdt-dev [!powerpc !ppc64 !ppc64el !sh4 !s390x],
   libnss3-dev (>= 2:3.17.1),
   openjdk-11-jdk-headless <cross>,
 Build-Depends-Indep: graphviz, pandoc,

=== debian/rules ===
--- 
+++ 
@@ -79,7 +79,6 @@
 endif
 
 is_upstream_release = yes
-is_upstream_release =
 
 srcdir		= .
 builddir	= build
@@ -163,7 +162,7 @@
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
 # no jtreg backport yet
-ifneq (,$(filter $(distrel), precise trusty xenial))
+ifneq (,$(filter $(distrel), precise trusty xenial buster))
   with_check = disabled for $(distrel)
 endif

## openjdk-11 11.0.26+4

=== debian/changelog ===
openjdk-11 (11.0.26+4-1~deb11u1) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Backport to bullseye.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 31 Jan 2025 11:11:08 +0100

openjdk-11 (11.0.26+4-1) unstable; urgency=medium

  * OpenJDK 11.0.26 release, build 4. Release notes:
    https://mail.openjdk.org/pipermail/jdk-updates-dev/2025-January/040826.html

    - CVEs:
      +  CVE-2025-21502 - 8330045: Enhance array handling.

  [ Matthias Klose ]
  * Bump standards version.
  * d/rules: Also dump logs for zero builds and for build failures.

  [ Vladimir Petko ]
  * d/rules: Dump complete hs_err_pid and replay_pid logs to stdout.
  * d/t/problems.csv: Add openjdk-24 and openjdk-25 to the problems.csv.
  * d/{watch,copyright}: Regenerate.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Jan 2025 11:26:00 +0100

openjdk-11 (11.0.26~6ea-1) unstable; urgency=medium

  * OpenJDK 11.0.26+3 build (early access).

  [ Pushkar Kulkarni ]
  * d/t/problems.csv: Update based on recent JTREG runs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Dec 2024 11:23:17 +0100

openjdk-11 (11.0.25+9-1~deb11u1) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Backport to bullseye.
  * Disable tests, jtreg7 is not available on bullseye.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 21 Oct 2024 14:21:02 +0200

openjdk-11 (11.0.21+9-1~deb11u1) bullseye-security; urgency=medium

  * Backport to bullseye.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 27 Oct 2023 08:54:07 +0200

=== debian/rules ===
--- 
+++ 
@@ -162,7 +162,7 @@
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
 # no jtreg backport yet
-ifneq (,$(filter $(distrel), precise trusty xenial buster))
+ifneq (,$(filter $(distrel), precise trusty xenial bullseye))
   with_check = disabled for $(distrel)
 endif

## openjdk-11 11.0.27+6

=== debian/changelog ===
openjdk-11 (11.0.27+6-1~deb11u1) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Backport to bullseye.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 19 May 2025 12:21:49 +0200

openjdk-11 (11.0.27+6-1) unstable; urgency=high

  * OpenJDK 11.0.27 release, build 6.
    - Addresses CVE-2025-30698, CVE-2025-30691, CVE-2025-21587.

  [ Vladimir Petko ]
  * d/t/problems.csv: Disable tests failing due to upstream bugs.

  [ Matthias Klose ]
  * Honour DEB_BUILD_OPTIONS=parallel=N while running jtreg tests (Helmut
    Grohne). Addresses: #1095920.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Apr 2025 02:53:57 +0200

openjdk-11 (11.0.27~4ea-1) unstable; urgency=medium

  * OpenJDK 11.0.27+4 build (early access).

  [ Vladimir Petko ]
  * d/rules: point --with-jtreg to /usr/share/jtreg.
  * d/rules: Disable dtrace on jammy armhf (was not enabled before and cannot
    be built due to a GCC ICE (see LP #2091225).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Mar 2025 10:22:40 +0100

=== debian/rules ===
--- 
+++ 
@@ -79,6 +79,7 @@
 endif
 
 is_upstream_release = yes
+#is_upstream_release =
 
 srcdir		= .
 builddir	= build

## openjdk-11 11.0.28~3ea

=== debian/changelog ===
openjdk-11 (11.0.28~3ea-1) unstable; urgency=medium

  * OpenJDK 11.0.28+3 build (early access).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Jun 2025 14:20:18 +0200

=== debian/rules ===
--- 
+++ 
@@ -79,7 +79,7 @@
 endif
 
 is_upstream_release = yes
-#is_upstream_release =
+is_upstream_release =
 
 srcdir		= .
 builddir	= build
@@ -163,7 +163,7 @@
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
 # no jtreg backport yet
-ifneq (,$(filter $(distrel), precise trusty xenial bullseye))
+ifneq (,$(filter $(distrel), precise trusty xenial))
   with_check = disabled for $(distrel)
 endif

## openjdk-11 11.0.28+6

=== debian/changelog ===
openjdk-11 (11.0.28+6-1) unstable; urgency=high

  * OpenJDK 11.0.28 release, build 6.
    - Addresses CVE-2025-5010, CVE-2025-50059, CVE-2025-30754, CVE-2025-30749.
      See https://openjdk.org/groups/vulnerability/advisories/2025-07-15.
    - Release notes:
      https://mail.openjdk.org/pipermail/jdk-updates-dev/2025-July/045612.html

  [ Vladimir Petko ]
  * d/p/jdk-8359735-proposed.patch: Fix process tests failing in Ubuntu 25.10.
  * d/copyright-generator/copyright-gen.py: bump copyright year.
  * d/copyright: regenerate.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Jul 2025 13:48:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,19 @@
 Uploaders: Matthias Klose <doko@ubuntu.com>
 Build-Depends: debhelper (>= 11),
   m4, lsb-release, zip, unzip,
-  sharutils, gawk, cpio, procps, wdiff, pkg-config, fastjar (>= 2:0.96-0ubuntu2),
-  time,
-  file,
+  sharutils, gawk, cpio, procps, wdiff, pkgconf, fastjar (>= 2:0.96-0ubuntu2),
+  time, strip-nondeterminism, debugedit (>= 4.16),
+  jtreg7 (>= 7.3.1+1~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, libasmtools-java <!nocheck>, googletest <!nocheck>, google-mock <!nocheck>, xvfb  <!nocheck>,
   autoconf, automake, ant, ant-optional,
-  g++-8 <!cross>,
+  g++-14 <!cross>,
   openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,
-  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig1-dev, libfreetype6-dev (>= 2.2.1), libharfbuzz-dev,
+  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig-dev, libfreetype-dev, libharfbuzz-dev,
   libffi-dev,
   zlib1g-dev:native, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, systemtap-sdt-dev [!powerpc !ppc64 !ppc64el !sh4 !s390x],
   libnss3-dev (>= 2:3.17.1),
   openjdk-11-jdk-headless <cross>,
 Build-Depends-Indep: graphviz, pandoc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://openjdk.java.net/
 Vcs-Browser: https://salsa.debian.org/openjdk-team/openjdk/tree/openjdk-11

=== debian/rules ===
--- 
+++ 
@@ -79,7 +79,7 @@
 endif
 
 is_upstream_release = yes
-is_upstream_release =
+#is_upstream_release =
 
 srcdir		= .
 builddir	= build

## openjdk-11 11.0.29~4ea

=== src/utils/hsdis/Makefile ===
#
# Copyright (c) 2008, 2021, Oracle and/or its affiliates. All rights reserved.
# Copyright (c) 2021, Azul Systems, Inc. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.
#
#

# Single gnu makefile for solaris, linux and windows (windows requires cygwin and mingw)

# Default arch; it is changed below as needed.
ARCH		= i386
OS		= $(shell uname)
AR		= ar

## OS = SunOS ##
ifeq		($(OS),SunOS)
CPU             = $(shell uname -p)
ARCH1=$(CPU:i586=i386)
ARCH=$(ARCH1:i686=i386)
OS		= solaris
CC 		= cc
CFLAGS		+= -KPIC
ifdef LP64
ifeq ($(ARCH),sparc)
ARCH            = sparcv9
endif
ifeq ($(ARCH),i386)
ARCH            = amd64
endif
endif
CFLAGS/sparcv9	+= -xarch=v9
CFLAGS/amd64	+= -m64
CFLAGS		+= $(CFLAGS/$(ARCH))
DLDFLAGS	+= -G
LDFLAGS         += -ldl
OUTFLAGS	+= -o $@
LIB_EXT		= .so
else
## OS = Linux ##
ifeq		($(OS),Linux)
ifneq           ($(MINGW),)
LIB_EXT		= .dll
CPPFLAGS += -I$(TARGET_DIR)/include
LDFLAGS += -L$(TARGET_DIR)/lib
OS=windows
ifneq           ($(findstring x86_64-,$(MINGW)),)
ARCH=amd64
else
ARCH=i386
endif
CC 		= $(MINGW)-gcc
CONFIGURE_ARGS= --host=$(MINGW) --target=$(MINGW)
else   #linux
CPU             = $(shell uname -m)
ARCH1=$(CPU:x86_64=amd64)
ARCH2=$(ARCH1:i686=i386)
ARCH=$(ARCH2:sparc64=sparcv9)
ifdef LP64
CFLAGS/sparcv9	+= -m64
CFLAGS/amd64	+= -m64
CFLAGS/ppc64	+= -m64
CFLAGS/ppc64le  += -m64 -DABI_ELFv2
else
ARCH=$(ARCH2:amd64=i386)
ifneq ($(findstring arm,$(ARCH)),)
ARCH=arm
endif
CFLAGS/i386	+= -m32
CFLAGS/sparc	+= -m32
endif
CFLAGS		+= $(CFLAGS/$(ARCH))
CFLAGS		+= -fPIC
OS		= linux
LIB_EXT		= .so
CC 		= gcc
endif
CFLAGS		+= -O
DLDFLAGS	+= -shared
LDFLAGS         += -ldl
OUTFLAGS	+= -o $@
else
## OS = AIX ##
ifeq		($(OS),AIX)
OS              = aix
ARCH            = ppc64
CC              = xlc_r
CFLAGS          += -DAIX -g -qpic=large -q64
CFLAGS/ppc64    += -q64
AR              = ar -X64
DLDFLAGS        += -qmkshrobj -lz
OUTFLAGS        += -o $@
LIB_EXT		= .so
else
## OS = Darwin ##
ifeq ($(OS),Darwin)
CPU             = $(shell uname -m)
ARCH1=$(CPU:x86_64=amd64)
ARCH2=$(ARCH1:arm64=aarch64)
ARCH=$(ARCH2:i686=i386)
CONFIGURE_ARGS/aarch64= --enable-targets=aarch64-darwin
CONFIGURE_ARGS = $(CONFIGURE_ARGS/$(ARCH))
ifdef LP64
CFLAGS/sparcv9  += -m64
CFLAGS/amd64    += -m64
else
ARCH=$(ARCH2:amd64=i386)
CFLAGS/i386     += -m32
CFLAGS/sparc    += -m32
endif # LP64
ifeq ($(CPU), arm64)
CFLAGS/aarch64  += -m64
endif # arm64
CFLAGS          += $(CFLAGS/$(ARCH))
CFLAGS          += -fPIC
OS              = macosx
LIB_EXT         = .dylib
CC              = gcc
CFLAGS          += -O
# CFLAGS        += -DZ_PREFIX
DLDFLAGS        += -shared
DLDFLAGS        += -lz
LDFLAGS         += -ldl
OUTFLAGS        += -o $@
else
## OS = Windows ##
OS		= windows
CC		= gcc
CFLAGS		+=  /nologo /MD /W3 /WX /O2 /Fo$(@:.dll=.obj) /Gi-
CFLAGS		+= LIBARCH=\"$(LIBARCH)\"
DLDFLAGS	+= /dll /subsystem:windows /incremental:no \
			/export:decode_instruction
OUTFLAGS	+= /link /out:$@
LIB_EXT		= .dll
endif   # Darwin
endif   # AIX
endif	# Linux
endif	# SunOS

LIBARCH		= $(ARCH)
ifdef		LP64
LIBARCH64/sparc	= sparcv9
LIBARCH64/i386	= amd64
LIBARCH64	= $(LIBARCH64/$(ARCH))
ifneq		($(LIBARCH64),)
LIBARCH		= $(LIBARCH64)
endif   # LIBARCH64/$(ARCH)
endif   # LP64

JDKARCH=$(LIBARCH:i386=i586)

ifeq            ($(BINUTILS),)
# Pop all the way out of the workspace to look for binutils.
# ...You probably want to override this setting.
BINUTILSDIR	= $(shell cd build/binutils;pwd)
else
BINUTILSDIR	= $(shell cd $(BINUTILS);pwd)
endif

CPPFLAGS	+= -I$(BINUTILSDIR)/include -I$(BINUTILSDIR)/bfd -I$(TARGET_DIR)/bfd
CPPFLAGS	+= -DLIBARCH_$(LIBARCH) -DLIBARCH=\"$(LIBARCH)\" -DLIB_EXT=\"$(LIB_EXT)\"

TARGET_DIR	= build/$(OS)-$(JDKARCH)
TARGET		= $(TARGET_DIR)/hsdis-$(LIBARCH)$(LIB_EXT)

SOURCE		= hsdis.c

LIBRARIES =	$(TARGET_DIR)/bfd/libbfd.a \
		$(TARGET_DIR)/opcodes/libopcodes.a \
		$(TARGET_DIR)/libiberty/libiberty.a

DEMO_TARGET	= $(TARGET_DIR)/hsdis-demo
DEMO_SOURCE	= hsdis-demo.c

.PHONY:  all clean demo both

all:  $(TARGET)

both: all all64

%64:
	$(MAKE) LP64=1 ${@:%64=%}

demo: $(TARGET) $(DEMO_TARGET)

$(LIBRARIES): $(TARGET_DIR) $(TARGET_DIR)/Makefile
	if [ ! -f $@ ]; then cd $(TARGET_DIR); make all-opcodes; fi

$(TARGET_DIR)/Makefile:
	(cd $(TARGET_DIR); CC=$(CC) CFLAGS="$(CFLAGS)" AR="$(AR)" $(BINUTILSDIR)/configure --disable-nls $(CONFIGURE_ARGS))

$(TARGET): $(SOURCE) $(LIBS) $(LIBRARIES) $(TARGET_DIR)
	$(CC) $(OUTFLAGS) $(CPPFLAGS) $(CFLAGS) $(SOURCE) $(DLDFLAGS) $(LIBRARIES)

$(DEMO_TARGET): $(DEMO_SOURCE) $(TARGET) $(TARGET_DIR)
	$(CC) $(OUTFLAGS) -DTARGET_DIR=\"$(TARGET_DIR)\" $(CPPFLAGS) -g $(CFLAGS/$(ARCH)) $(DEMO_SOURCE) $(LDFLAGS)

$(TARGET_DIR):
	[ -d $@ ] || mkdir -p $@

clean:
	rm -rf $(TARGET_DIR)

=== debian/changelog ===
openjdk-11 (11.0.29~4ea-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/rules: Force C99 standard.

 -- Matthias Klose <doko@debian.org>  Mon, 01 Sep 2025 09:01:44 +0200

openjdk-11 (11.0.29~4ea-1) unstable; urgency=medium

  * OpenJDK 11.0.29+4 build (early access).
  * Build using GCC 15 on development releases.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 31 Aug 2025 06:28:46 +0200

=== debian/rules ===
--- 
+++ 
@@ -79,7 +79,7 @@
 endif
 
 is_upstream_release = yes
-#is_upstream_release =
+is_upstream_release =
 
 srcdir		= .
 builddir	= build
@@ -227,7 +227,7 @@
 	DEB_BUILD_MAINT_OPTIONS="optimize=-lto" \
 	DEB_CFLAGS_MAINT_STRIP="-O2 -Werror=format-security" \
 	DEB_CXXFLAGS_MAINT_STRIP="-O2 -Werror=format-security" \
-	DEB_CFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations" \
+	DEB_CFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations -std=c99" \
 	DEB_CXXFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations$(if $(filter $(DEB_HOST_ARCH), armel armhf), -fpermissive)"
 # jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
 dpkg_buildflags_hs += \

=== debian/watch ===
version=4
opts=\
repack,repacksuffix=ea,oversionmangle=s/\+(\d+)/\~$1/,dversionmangle=s/\~(\d*)ea$/\+$1/,\
compression=xz, \
    https://github.com/openjdk/jdk11u/tags \
    (?:.*?/)?jdk-(11[\+\.\d]*)\.tar\.gz

## openjdk-11 11.0.29%2B6

=== debian/changelog ===
openjdk-11 (11.0.29+6-1) unstable; urgency=medium

  * OpenJDK 11.0.29 release, build 6.
    - CVEs:
      + CVE-2025-53057, 8360937: Enhance certificate handling.
      + CVE-2025-53066, 8356294: Enhance Path Factories.

  [ Vladimir Petko ]
  * d/t/problems.csv: Synchronize problem list.
  * d/p/jdk-8354941-proposed.patch: Apply proposed patch to resolve ftbfs
    with glibc 2.42.
  * d/t/jtreg-autopkgtest.*: Force utf-8 encoding.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Oct 2025 08:22:40 +0200

=== debian/rules ===
--- 
+++ 
@@ -79,7 +79,7 @@
 endif
 
 is_upstream_release = yes
-is_upstream_release =
+#is_upstream_release =
 
 srcdir		= .
 builddir	= build

## openjdk-11 11.0.29%2B7

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
   time, strip-nondeterminism, debugedit (>= 4.16),
   jtreg7 (>= 7.3.1+1~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, libasmtools-java <!nocheck>, googletest <!nocheck>, google-mock <!nocheck>, xvfb  <!nocheck>,
   autoconf, automake, ant, ant-optional,
-  g++-14 <!cross>,
+  g++-15 <!cross>,
   openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,
   libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig-dev, libfreetype-dev, libharfbuzz-dev,
   libffi-dev,

## openjdk-11 11.0.29+6

=== debian/changelog ===
openjdk-11 (11.0.29+6-1~deb11u1) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Backport to bullseye.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 23 Oct 2025 13:36:48 +0200

openjdk-11 (11.0.28+6-1~deb11u1) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Backport to bullseye.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 21 Jul 2025 13:00:49 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Matthias Klose <doko@ubuntu.com>
 Build-Depends: debhelper (>= 11),
   m4, lsb-release, zip, unzip,
-  sharutils, gawk, cpio, procps, wdiff, pkgconf, fastjar (>= 2:0.96-0ubuntu2),
+  sharutils, gawk, cpio, procps, wdiff, pkg-config, fastjar (>= 2:0.96-0ubuntu2),
   time, strip-nondeterminism, debugedit (>= 4.16),
-  jtreg7 (>= 7.3.1+1~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, libasmtools-java <!nocheck>, googletest <!nocheck>, google-mock <!nocheck>, xvfb  <!nocheck>,
+  file,
   autoconf, automake, ant, ant-optional,
-  g++-15 <!cross>,
+  g++-10 <!cross>,
   openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,
   libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig-dev, libfreetype-dev, libharfbuzz-dev,
   libffi-dev,

=== debian/rules ===
--- 
+++ 
@@ -163,7 +163,7 @@
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
 # no jtreg backport yet
-ifneq (,$(filter $(distrel), precise trusty xenial))
+ifneq (,$(filter $(distrel), precise trusty xenial bullseye))
   with_check = disabled for $(distrel)
 endif

## openjdk-11 11.0.29+7

=== debian/changelog ===
openjdk-11 (11.0.29+7-1) unstable; urgency=medium

  * OpenJDK 11.0.29 release, build 7.
    - CVEs:
      + CVE-2025-53057, 8360937: Enhance certificate handling.
      + CVE-2025-53066, 8356294: Enhance Path Factories.

  [ Vladimir Petko ]
  * d/t/problems.csv: Synchronize problem list.
  * d/p/jdk-8354941-proposed.patch: Apply proposed patch to resolve ftbfs
    with glibc 2.42.
  * d/t/jtreg-autopkgtest.*: Force utf-8 encoding.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Oct 2025 17:18:33 +0200

=== debian/watch ===
version=4
opts=\
repack,\
compression=xz, \
    https://github.com/openjdk/jdk11u/tags \
    (?:.*?/)?jdk-(11[\+\.\d]*)\.tar\.gz

## openjdk-11 11.0.30~6ea

=== debian/changelog ===
openjdk-11 (11.0.30~6ea-2) unstable; urgency=medium

  * d/p/jdk-8224796.diff: Apply upstream patch to fix i386 ftbfs
    introduced by JDK-8224087 backport.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 14 Jan 2026 13:16:53 +1300

openjdk-11 (11.0.30~6ea-1) unstable; urgency=medium

  * OpenJDK 11.0.30+6 build (early access).

  [ Matthias Klose ]
  * d/rules: Adjust any_archs.

  [ Pushkar Kulkarni ]
  * d/t/jtreg-autopkgtest.*: Use locale name "C.UTF-8" on bionic
    and focal.

  [ Vladimir Petko ]
  * d/p/jdk-8354941-proposed.patch: Drop patch applied upstream.
  * Update override comments for unstripped-binary-or-object. We need to
    keep symbols for Native Memory Tracking to work.
  * d/{JB-doc.overrides.in, JB-jre-headless.overrides.in}: Add override
    for old FSF copyright address.
  * d/s/lintian-overrides: Override false positive debian-rules-calls-
    nproc. The utility is used to log the number of processors.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 12 Jan 2026 13:59:15 +1300

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Matthias Klose <doko@ubuntu.com>
 Build-Depends: debhelper (>= 11),
   m4, lsb-release, zip, unzip,
-  sharutils, gawk, cpio, procps, wdiff, pkg-config, fastjar (>= 2:0.96-0ubuntu2),
+  sharutils, gawk, cpio, procps, wdiff, pkgconf, fastjar (>= 2:0.96-0ubuntu2),
   time, strip-nondeterminism, debugedit (>= 4.16),
-  file,
+  jtreg7 (>= 7.3.1+1~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, libasmtools-java <!nocheck>, googletest <!nocheck>, google-mock <!nocheck>, xvfb  <!nocheck>,
   autoconf, automake, ant, ant-optional,
-  g++-10 <!cross>,
+  g++-15 <!cross>,
   openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,
   libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig-dev, libfreetype-dev, libharfbuzz-dev,
   libffi-dev,
@@ -24,7 +24,7 @@
 Vcs-Git: https://salsa.debian.org/openjdk-team/openjdk.git -b openjdk-11
 
 Package: openjdk-11-jdk-headless
-Architecture: alpha amd64 armel armhf arm64 i386 ia64 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
+Architecture: alpha amd64 armel armhf arm64 i386 mips64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 Multi-Arch: same
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-11-jre-headless (= ${binary:Version}),
@@ -42,7 +42,7 @@
  applets, and components using the Java programming language.
 
 Package: openjdk-11-jre-headless
-Architecture: alpha amd64 armel armhf arm64 i386 ia64 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
+Architecture: alpha amd64 armel armhf arm64 i386 mips64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 Multi-Arch: same
 Pre-Depends: ${dpkg:Depends}
 Depends: ${jredefault:Depends}, ${cacert:Depends},
@@ -68,7 +68,7 @@
  using ${vm:Name}.
 
 Package: openjdk-11-jdk
-Architecture: alpha amd64 armel armhf arm64 i386 ia64 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
+Architecture: alpha amd64 armel armhf arm64 i386 mips64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 Multi-Arch: same
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-11-jre (= ${binary:Version}),
@@ -86,7 +86,7 @@
  applets, and components using the Java programming language.
 
 Package: openjdk-11-jre
-Architecture: alpha amd64 armel armhf arm64 i386 ia64 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
+Architecture: alpha amd64 armel armhf arm64 i386 mips64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 Multi-Arch: same
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-11-jre-headless (= ${binary:Version}),
@@ -105,7 +105,7 @@
  programs, using ${vm:Name}.
 
 Package: openjdk-11-demo
-Architecture: alpha amd64 armel armhf arm64 i386 ia64 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
+Architecture: alpha amd64 armel armhf arm64 i386 mips64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 Priority: optional
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-11-jre (= ${binary:Version}),
@@ -142,7 +142,7 @@
  This package contains the API documentation.
 
 Package: openjdk-11-dbg
-Architecture: alpha amd64 armel armhf arm64 i386 ia64 loong64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
+Architecture: alpha amd64 armel armhf arm64 i386 mips64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
 Multi-Arch: same
 Priority: optional
 Section: debug
